import { LoggerService, RootLoggerService } from '@backstage/backend-plugin-api';
import { JsonObject } from '@backstage/types';
import type { mockServices } from './mockServices';
export declare class MockRootLoggerService implements RootLoggerService {
    #private;
    static create(options?: mockServices.rootLogger.Options): MockRootLoggerService;
    error(message: string, meta?: JsonObject | Error | undefined): void;
    warn(message: string, meta?: JsonObject | Error | undefined): void;
    info(message: string, meta?: JsonObject | Error | undefined): void;
    debug(message: string, meta?: JsonObject | Error | undefined): void;
    child(meta: JsonObject): LoggerService;
    private constructor();
}
